#include "otr.h"
char *otr_help = "%9- OTR help -%9\nUsually, you shouldn't have to do anything besides \"%_/load otr%_\" to have encrypted\nconversations. Just  write something, wait  about 10  seconds and you  should go\nsecure. Not the first time though, see  the next paragraph about keys. Also some\nuncommon IRC  servers strip off the  whitespace OTR uses as  announcement, there\nyou or your buddy will have to type \"%_?OTR?%_\" to get going.\n\nInitially  a  private key  will  have  to be  generated.  OTR  will trigger  key\ngeneration itself once  you talk to someone  with OTR. You can  however start it\nyourself with \"%_/otr genkey nick@irc.server.com%_\". That can take two minutes or on\nsome systems even an hour. To speed up the process you can generate some entropy\nby running something like \"%_du /%_\" in parallel.\n\nTo make  sure that you are  actually talking to your  buddy, you can agree  on a\nsecret somehow  and then one does  \"%_/otr auth <secret>%_\". Shortly  afterwards the\nother one will be asked to do  the same and you're done.\n\nI also strongly  recommend to do \"%_/statusbar window add  otr%_\" so you're informed\nabout  what's going  on.\n\nIn  \"%_~/.irssi/otr/otr.{key,fp}%_\" you'll  find the  fingerprints and  your private\nkeys(should you at any point be interested).\n\nThe standard  OTR policy  is opportunistic, meaning  we'll send  some whitespace\nafter messages and we'll also look for it from our peer. Should we see the magic\nwhitespace from  our peer  we'll start a  handshake. If at  any point  you enter\n\"%_/otr finish%_\" then the  policy is changed so as not  to send whitespace anymore.\nTherefore, if your peer  has the same behaviour, OTR will  not start again. This\nis however  reset once you  close the  query window. When  you open a  new query\nwindow OTR  will start sending whitespace  again which might cause  your peer to\nstart an OTR session.\n\nDon't expect any of  this to work if you are using a  single messages window and\nnot a  query window per  buddy (as in \"%_/SET  use_msgs_window ON%_\"). I  just heard\nabout that, certainly needs some work to support that mode.\n\nCommands:\n\n%_/otr genkey nick@irc.server.com %_\n        Manually generate a key for the given account(also done on demand)\n%_/otr auth <secret>%_\n        Initiate or respond to an authentication challenge\n%_/otr authabort%_\n        Abort any ongoing authentication\n%_/otr trust%_\n        Trust the fingerprint of the user in the current window.\n        You should only do this after comparing fingerprints over a secure line\n%_/otr debug%_\n        Switch debug mode on/off\n%_/otr contexts%_\n        List all OTR contexts along with their fingerprints and status\n%_/otr finish%_\n        Finish an OTR conversation\n%_/otr version%_\n        Display irssi-otr version. Might be a git commit\n%9- End of OTR help -%9";
FORMAT_REC formats[] = {
{ MODULE_NAME, "otr", 0}
,
{ NULL, "Keys", 0 }
,
{ "kg_failed", "%9OTR%9: Key generation for $0: failed: $1 ($2)", 3, { 0, 0, 0 }},
{ "kg_completed", "%9OTR%9: Key generation for $0: completed in $1 seconds. Reloading keys", 2, { 0, 1 }},
{ "kg_aborted_dup", "%9OTR%9: Key generation for $0: aborted. Key generation for $1 still in progress", 2, { 0, 0 }},
{ "kg_aborted_dir", "%9OTR%9: Key generation for $0: aborted, failed creating directory $1: $2", 3, { 0, 0, 0 }},
{ "kg_mkdir", "%9OTR%9: created directory $0", 1, { 0 }},
{ "kg_pipe", "%9OTR%9: Key generation for $0: error creating pipe: $1", 2, { 0, 0 }},
{ "kg_fork", "%9OTR%9: Key generation for $0: fork() error: $1", 2, { 0, 0 }},
{ "kg_initiated", "%9OTR%9: Key generation for $0: initiated. This might take several minutes or on some systems even an hour. If you wanna check that something is happening, see if there are two irssi processes.", 1, { 0 }},
{ "kg_exited", "%9OTR%9: Key generation for $0: child terminated for unknown reason", 1, { 0 }},
{ "kg_exitsig", "%9OTR%9: Key generation for $0: child was killed by signal $1", 2, { 0, 0 }},
{ "kg_pollerr", "%9OTR%9: Key generation for $0: error poll()ing child: $1", 2, { 0, 0 }},
{ "kg_abort", "%9OTR%9: Key generation for $0: aborted", 1, { 0 }},
{ "kg_needacc", "%9OTR%9: I need an account name. Try something like /otr genkey mynick@irc.server.net", 0},
{ "kg_noabort", "%9OTR%9: No ongoing key generation to abort", 0},
{ "key_not_found", "%9OTR%9: no private keys found", 0},
{ "key_loaded", "%9OTR%9: private keys loaded", 0},
{ "key_load_error", "%9OTR%9: Error loading private keys: $0 ($1)", 2, { 0, 0 }},
{ NULL, "Fingerprints", 0 }
,
{ "fp_saved", "%9OTR%9: fingerprints saved", 0},
{ "fp_save_error", "%9OTR%9: Error saving fingerprints: $0 ($1)", 2, { 0, 0 }},
{ "fp_not_found", "%9OTR%9: no fingerprints found", 0},
{ "fp_loaded", "%9OTR%9: fingerprints loaded", 0},
{ "fp_load_error", "%9OTR%9: Error loading fingerprints: $0 ($1)", 2, { 0, 0 }},
{ "fp_trust", "%9OTR%9: Trusting fingerprint from $0", 1, { 0 }},
{ NULL, "Callbacks", 0 }
,
{ "ops_notify_bug", "%9OTR%9: BUG() in ops_notify", 0},
{ "ops_notify", "%9OTR%9: title: $0 prim: $1 sec: $2", 3, { 0, 0, 0 }},
{ "ops_display_bug", "%9OTR%9: BUG() in ops_display", 0},
{ "ops_display", "%9OTR%9: msg: $0", 1, { 0 }},
{ "ops_sec", "%9OTR%9: gone %9secure%9", 0},
{ "ops_fpcomp", "%9OTR%9: Your peer is not authenticated. To make sure you're talking to the right guy you can either agree on a secret and use the authentication described in %9/otr auth%9, or use the traditional way and compare fingerprints over a secure line (e.g. telephone) and subsequently enter %9/otr trust%9.  Your fingerprint is: $0. $1's fingerprint: $2", 3, { 0, 0, 0 }},
{ "ops_insec", "%9OTR%9: gone %9insecure%9", 0},
{ "ops_still_reply", "%9OTR%9: still %9secure%9 (is reply)", 0},
{ "ops_still_no_reply", "%9OTR%9: still %9secure%9 (is not reply)", 0},
{ "ops_log", "%9OTR%9: log msg: $0", 1, { 0 }},
{ "ops_inject", "%9OTR%9: Couldn't inject message from $0 for $1: $2", 3, { 0, 0, 0 }},
{ NULL, "SendingReceiving", 0 }
,
{ "send_failed", "%9OTR%9: send failed: msg=$0", 1, { 0 }},
{ "send_change", "%9OTR%9: couldn't find context also OTR changed the outgoing message(BUG?)", 0},
{ "send_fragment", "%9OTR%9: failed to fragment message: msg=$0", 1, { 0 }},
{ "send_converted", "%9OTR%9: OTR converted sent message to $0", 1, { 0 }},
{ "receive_ignore_query", "%9OTR%9: ignoring rest of OTR default query msg", 0},
{ "receive_dequeued", "%9OTR%9: dequeued msg of length $0", 1, { 1 }},
{ "receive_queued", "%9OTR%9: queued msg of length $0", 1, { 1 }},
{ "receive_ignore", "%9OTR%9: ignoring protocol message of length $0, acc=$1, from=$2: $3", 4, { 1, 0, 0, 0 }},
{ "receive_converted", "%9OTR%9: OTR converted received message", 0},
{ "otr_better_two", "%9OTR%9: <b>$0</b> has requested an <a href=\"http://otr.cypherpunks.ca/\">Off-the-Record private conversation</a>.  However, you do not have a plugin to support that.", 1, { 0 }},
{ "otr_better_three", "%9OTR%9: See <a href=\"http://otr.cypherpunks.ca/\">http://otr.cypherpunks.ca/</a> for more information.", 0},
{ NULL, "Context", 0 }
,
{ "ctx_not_found", "%9OTR%9: couldn't find context: acc=$0 nick=$1", 2, { 0, 0 }},
{ "ctx_not_create", "%9OTR%9: couldn't create/find context: acc=$0 from=$1", 2, { 0, 0 }},
{ NULL, "Authentication", 0 }
,
{ "auth_aborted_ongoing", "%9OTR%9: Ongoing authentication aborted", 0},
{ "auth_aborted", "%9OTR%9: Authentication aborted", 0},
{ "auth_responding", "%9OTR%9: Responding to authentication request...", 0},
{ "auth_initiated", "%9OTR%9: Initiated authentication...", 0},
{ "auth_have_old", "%9OTR%9: $0 wanted to authenticate but an old authentication was still ongoing.  Old authentication will be aborted, please try again.", 1, { 0 }},
{ "auth_peer", "%9OTR%9: $0 wants to authenticate. Type /otr auth <your-shared-secret> to complete.", 1, { 0 }},
{ "auth_peer_reply_wrong", "%9OTR%9: $0 replied to an auth we didn't start.", 1, { 0 }},
{ "auth_peer_replied", "%9OTR%9: $0 replied to our auth request...", 1, { 0 }},
{ "auth_peer_wrong_smp3", "%9OTR%9: $0 sent a wrong authentication message (SMP3).", 1, { 0 }},
{ "auth_peer_wrong_smp4", "%9OTR%9: $0 sent a wrong authentication message (SMP4).", 1, { 0 }},
{ "auth_successful", "%9OTR%9: Authentication successful!", 0},
{ "auth_failed", "%9OTR%9: Authentication failed!", 0},
{ NULL, "Commands", 0 }
,
{ "cmd_otr", "%9OTR%9: We're alive", 0},
{ "cmd_qnotfound", "%9OTR%9: failed: Can't get query details", 0},
{ "cmd_auth", "%9OTR%9: Please agree on a secret with your peer and then initiate the authentication with /otr auth <secret> or let him initiate. Should you initiate your peer will after a little while be instructed to enter the secret as well. Once he has done so the authentication will finish up. Should you have both typed in the same secret the authentication should be successful.", 0},
{ "cmd_debug_on", "%9OTR%9: Debug mode is on", 0},
{ "cmd_debug_off", "%9OTR%9: Debug mode is off", 0},
{ "cmd_finish", "%9OTR%9: Finished conversation with $0", 1, { 0 }},
{ "cmd_version", "%9OTR%9: This is irssi-otr version $0", 1, { 0 }},
{ "peer_finished", "%9OTR%9: $0 has finished the OTR conversation. If you want to continue talking enter %9/otr finish%9 for plaintext or ?OTR? to restart OTR.", 1, { 0 }},
{ NULL, "Contexts", 0 }
,
{ "ctx_ctx_unencrypted", "%9$[20]0%9    $[30]1    plaintext", 2, { 0, 0 }},
{ "ctx_ctx_encrypted", "%9$[20]0%9    $[30]1    %gencrypted%n", 2, { 0, 0 }},
{ "ctx_ctx_finished", "%9$[20]0%9    $[30]1    finished", 2, { 0, 0 }},
{ "ctx_ctx_unknown", "%9$[20]0%9    $[30]1    unknown state(BUG?)", 2, { 0, 0 }},
{ "ctx_fps_no", "$0 %rnot authenticated%n", 1, { 0 }},
{ "ctx_fps_smp", "$0 %gauthenticated%n via shared secret (SMP)", 1, { 0 }},
{ "ctx_fps_man", "$0 %gauthenticated%n manually", 1, { 0 }},
{ "ctx_noctxs", "No active OTR contexts found", 0},
{ NULL, "Nickignore", 0 }
,
{ "nickignore", "xmlconsole[0-9]*", 0},
{ NULL, "Statusbar", 0 }
,
{ "st_plaintext", "{sb plaintext}", 0},
{ "st_untrusted", "{sb %rOTR(not auth'ed)%n}", 0},
{ "st_trust_smp", "{sb %gOTR%n}", 0},
{ "st_trust_manual", "{sb %gOTR%n}", 0},
{ "st_smp_wait_2", "{sb {hilight awaiting auth reply...}}", 0},
{ "st_smp_have_2", "{sb {hilight finalizing auth... (won't happen with libotr 3.1(bug), ask the other guy to initiate)}}", 0},
{ "st_smp_failed", "{sb {hilight auth failed}}", 0},
{ "st_smp_finalize", "{sb {hilight finalizing auth...}}", 0},
{ "st_smp_unknown", "{sb {hilight unknown auth state!}}", 0},
{ "st_finished", "{sb finished}", 0},
{ "st_unknown", "{sb {hilight state unknown (BUG!)}}", 0},
{ NULL, NULL, 0 }
};
